@import url('https://fonts.googleapis.com/css2?family=Faustina:ital,wght@0,300..800;1,300..800&family=MuseoModerno:ital,wght@0,100..900;1,100..900&family=Peddana&display=swap');
:root {
	/* Set up the basic color and font styles */
	/* Colors: */
	--primary: black;
	--accent-red: black;
	--body-text-color: rgb(0, 0, 0);
	--headling-text-color: black;
	--link-hover: black;
	--bg: white;
	--surface: black;

	/* font-family, find the values from google fonts website*/
	--headings-font-family: "MuseoModerno", sans-serif;
	--subheadings-font-family: "Faustina", serif;
	--body-font-family: "Peddana", serif;
	--logo-font-family: "MuseoModerno", sans-serif;
	--link-font: "Peddana", serif;
	--button-font: "Peddana", serif;

	/* font-weight: ; */
	--headline-font-weight: 600;
	--subheadlinge-font-weight: 600;
	--logo-font-weight: 600;
	--body-font-weight: 300;
	--link-font-weight: 400;
	--button-font-weight: 400;
}

.header {
	margin-top: 200px;
}

.header-container {
	text-align: center;
	margin-top: 50px; /* Adjust the margin-top value as needed */
}

.header-container h1 {
	font-size: 36px; /* Adjust the font size as needed */
	color: #333; /* Adjust the color as needed */
}

.header-container p {
	font-size: 18px; /* Adjust the font size as needed */
	color: #000000; /* Adjust the color as needed */
}


html {
	font-size: 16px;
}

body {
	background-color: var(--bg);
	font-family: var(--body-font-family);
	font-weight: var(--body-font-weight);
	/*  Convert px to rem:  1rem = 16px*/
	font-size: 0.85rem;
	/*    line-height is 130%- 150% of the font size*/
	line-height: 1;
	color: var(--body-text-color);
}

p {
	font-size: 1.2rem;
	margin-bottom: 1.3rem;
	color: var(--body-text-color);
}


h1 {
	font-family: var(--headings-font-family);
	margin-top: 1rem;
	font-size: 3rem;
	font-weight: var(--headline-font-weight);
}

h2 {
	color: var(--primary);
	/*    font-family*/
	font-family: var(--subheadings-font-family);
	/*    font-weight*/
	font-weight: var(--subheadlinge-font-weight);
	line-height: 1.3;
}

h3 {
	color: var(--primary);
	/*    font-family*/
	font-family: var(--subheadings-font-family);
	/*    font-weight*/
	font-weight: var(--subheadlinge-font-weight);
	line-height: 1.3;
}

h4 {
	font-size: 1.333rem;
	font-family: var(--logo-font-family);
	font-weight: var(--logo-font-weight);
}
.headerlogo {
    padding-left: 45px; 
	margin-bottom: 0;
}


.spacer {
    height: 50px; 
}

.smallspacer{
	height: 20px;
}

.footer {
    background-color: black;
    color: white;
}

.black-bg {
    background-color: black;
    color: white;
}

.pink-line {
	height: 2px;
	background-color: #FF70A3;
	width: 100%;
	margin-top: 20px;
	margin-bottom: 20px;
}

.line-container {
	width: 80%; /* Adjust the width of the container */
	margin: 20px auto; /* Adjust the top and bottom margins and center the container horizontally */
}


.footer-text-container {
    margin-left: 20px; 
	margin-bottom: 30px;
}
.footer-text-container h4 {
    color: pink; 
}

.footer-text-container p {
    color: white; /* Ensure paragraph text color is white */
}

.bg-with-image {
    background-image: url('img/star1.png'); 
    background-position: center;
}

.smaller-photo {
    max-width: 400px; /* Adjust the max-width as needed */
	border-radius: 20px;
}


@media (min-width: 992px) {
    .text-lower {
        margin-top: 400px; /* Adjust the top margin as needed */
    }
}

@media (max-width: 768px) { /* Apply styles only for screens smaller than 768px (mobile view) */
    .bordered-image {
		border: 35px solid white; /* Adjust the border size as needed */
        border-radius: 20px; /* Adjust the border radius to round the corners */

    }
	.background-image {
		background-image: url('img/mephoto.png');
		background-size: cover; /* Adjust as needed */
		background-position: center; /* Adjust as needed */
		color: white; /* Set text color */
		padding-top: 50px; /* Adjust as needed to position text */
	}
}

.gallery {
	margin-left: 30px;
	margin-right: 30px;
}

.gallery img {
	width: 100%;
	height: auto;
	border-radius: 8px;
	margin-bottom: 30px;
	transition: transform 0.3s ease;
}

.gallery img:hover {
	transform: scale(1.05);
}


.image-container {
    text-align: center;
    padding: 0 60px; /* Add padding on left and right */
}

.image {
    border-radius: 20px; /* Rounded corners */
    max-width: 100%; /* Ensure images don't exceed container width */
}

.image-button {
    display: block;
    margin: 10px auto; /* Center the button horizontally and add spacing */
    background-color: #fdd1e1;
    color: #FF70A3;
    padding: 10px 25px;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.image-button:hover {
    background-color: #ff90b7;
}

.rounded-image {
   border-radius: 10px; 
}

/*NAV*/

.bg-light {
    background-color: white !important;
}

.nav-link, .navbar-brand {
    font-size: 1.2rem;
  /*use important to override the system value*/
    color:black !important;
}

.nav-link:hover, .navbar-brand:hover{
  color:grey !important;
}

/* active link */
.nav-link.active{
   text-decoration: underline;
   text-underline-position: under;
}

.navbar-brand-QPC {
    font-size: 1.5rem; /* Increase font size */
    padding-left: 40px; /* Add padding on the left */
}

@media (min-width: 768px) {
	.navbar-brand-QPC {
		font-size: 1.5rem; /* Increase font size */
		padding-left: 40px; /* Add padding on the left */
	}
}




/*Interactive elements*/

/* link*/

a {
	font-family: var(--link-font);
	font-weight: var(--link-font-weight);
	color: var(--primary);
}

a:hover {
	color: var(--link-hover);
	/*    text-decoration: none;*/
}

/*Button style*/

.button-container {
    text-align: center;
    margin-top: 20px;
    display: flex; /* Use flexbox to align buttons horizontally */
    justify-content: center; /* Center the buttons horizontally */
}

.button {
    background-color: #FF70A3;
    color: white;
    padding: 10px 25px;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.button:not(:last-child) {
    margin-right: 10px; /* Add 10px of margin between buttons */
}

.button:hover {
    background-color: #ff90b7;
}

/*solid button style*/
/* .btn-primary {
	font-family: var(--button-font);
	font-size: 1rem;
	letter-spacing: 0.1rem;
	line-height: 1.5;
	/*    border-radius*/
	/* border-radius: 100px; */
	/*    top:0.75 right:1.25 bottom:0.75 left:1.25*/
	/*    the size of button*/
	/* padding: 0.75rem 1.25rem;
	background-color: var(--primary);
	color: white;
	border: none;
	margin-top: 1rem;
	transition: all 0.5s;
} */

/* .btn-primary:hover {
	color: white;
	background-color: var(--link-hover);
	opacity: 0.8;
}

/*outline button style*/
/* .btn-outline-primary {
	font-family: var(--button-font);
	font-size: 1rem;
	letter-spacing: 0.1rem;
	line-height: 1.375rem; */
	/*    border-radius*/
	/* border-radius: 200px;
	padding: 0.75rem 1.25rem;
	margin-top: 1rem;
	color: var(--primary);
	background-color: transparent;
	border: 1px var(--primary) solid;
	transition: all 0.5s;
}

.btn-outline-primary:hover {
	color: var(--bg);
	background-color: var(--link-hover);
	border-color: var(--primary);
} */ 

/* custom class */
/*home page*/

/*about page*/



/* Large Screen */
/*screen that is larger than the mobile view, */
@media only screen and (min-width: 480px) {
}
